function resprod= prod_system_complete(npiaam, tsim)

% concentrations are in �M(= in �mol/L= mmol/m^3), other parameters are in international system unities
npiaah = npiaam;%correspond to number of plasmids containing iaah-iaam in the cell
trp = 500;
Pr =0.01/60;
dmRNA = 0.017/60;
Kz = 1/60;
dprotein = 0.017/60;
dcompound = 0.0013/60;
kIAAM = 0.22/60;
KmIAAM = 50;
KiIAM = 7;
KiIAA =225;
kIAAH = 0.220/60;
KmIAAH = 80;
p=2;
vcell=1;%mean volume of a cell where auxin is produced
init=[0; 0; 0; 0; 0; 0; 0];


[T,C]=ode45(@(t, c) prod_ode(t, c, Pr, npiaam, npiaah, trp, dmRNA, Kz, dprotein, dcompound,kIAAM,KmIAAM,KiIAM,KiIAA,kIAAH,KmIAAH,p), tsim, init);

N=vcell*C;
N(:,7);

resprod=horzcat(T,N(:,7));%matrix containing time in the first column and in the second the associated values of dIAA(auxin that gets out of the cell)


plot(T,N(:,5:7));
h = legend('IAM','IAA','dIAA');
xlabel('Time (s)')
ylabel('Quantity of auxin produced (mmol) ')
title('')

